Skip to content

wrong ELF class #22

Closed
enrike opened this Issue Jan 9, 2012 · 2 comments

3 participants

@enrike
enrike commented Jan 9, 2012

I am getting a similar error with few examples (typography, textures ...)

java.lang.UnsatisfiedLinkError: java.lang.UnsatisfiedLinkError: /home/r2d2/Mahaigaina/processing.py-0019/libraries/processing/opengl/libgluegen-rt.so: /home/r2d2/Mahaigaina/processing.py-0019/libraries/processing/opengl/libgluegen-rt.so: wrong ELF class: ELFCLASS32 (Possible cause: architecture word width mismatch)

I guess this might be because I am running 64bits machine? I have a AMD 64bits with Ubuntu

@monkstone

I've written a script to extract 64 bit opengl binaries see my github entry https://github.com/monkstone/processing.py-examples, under tools. You may be also interested in my pyp5 script and jEdit stuff.

@jdf
Owner
jdf commented Jul 7, 2012

Thanks, monkstone, for your awesome workaround.

http://qkme.me/3q00m6

@jdf jdf closed this Jul 7, 2012
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.